import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { FVAbstractControl } from '../../shared/abstract-control.component';
import { ApiService, DGSNotificationService } from 'dgs-core';
import { ProcessService } from '../../../services/process.service';
import { LanguageService } from '../../../services/language.service';
import { GridConfig, GridColumn, Dock } from '../../../models';
import { Subject } from 'rxjs/Subject';
import 'rxjs/add/operator/distinctUntilChanged';
export declare class FVControlsGridComponent extends FVAbstractControl implements AfterViewInit, OnDestroy {
    private process;
    private api;
    private language;
    private ref;
    private notification;
    loading: boolean;
    lookupRows: Object[];
    itemsPerPage: number;
    downloadPages: number;
    currentPage: number;
    totalItems: number;
    searchCol: string;
    searchVal: string;
    searchEvent: Subject<any>;
    isReloaded: boolean;
    theadSize: number;
    theadContainer: any;
    searchInput: any;
    private _sort;
    private _multiSort;
    private _destroyed;
    private _editable;
    editable: boolean;
    gridConfig: GridConfig;
    dblClick: boolean;
    reload: boolean;
    onHandler: EventEmitter<{
        action: string;
        row: object;
    }>;
    onResponse: EventEmitter<any>;
    onAdvancedResponse: EventEmitter<any>;
    onActiveItemChange: EventEmitter<string>;
    onMenuItemClicked: EventEmitter<string>;
    private _dblClickDialog;
    private _gridData;
    private _activeItem;
    private _lang;
    private _customSizes;
    constructor(process: ProcessService, api: ApiService, language: LanguageService, ref: ChangeDetectorRef, notification: DGSNotificationService);
    ngAfterViewInit(): void;
    onResize(): void;
    onMouseDown(event: any): void;
    onMouseMove(event: any): void;
    onMouseUp(event: any): void;
    emitSearch(event: any): void;
    menuItemClicked(data: any): void;
    sortIcon(column: GridColumn): "" | "fa fa-sort-down" | "fa fa-sort-up";
    sort(column: GridColumn): void;
    sendResponse(row: Object, dblClick?: boolean): Promise<void>;
    onNavigation(navData: any): void;
    updatePage(newPage: any): void;
    columnWidth(column: GridColumn): string;
    rowData(column: GridColumn, row: Object): any;
    search(property: any, value: any, forceUpdate?: boolean): Promise<any>;
    reset(): Promise<any>;
    handle(action: string, row: Object): void;
    fileHref(fileData: any): string;
    fileName(fileData: any): any;
    sanitizeColumnName(columnName: string): string;
    isObject(item: any): boolean;
    arrayFrom(item: any): any[];
    readonly isDblClick: any;
    readonly totalPages: number;
    readonly defaultCol: string;
    readonly rows: Object[];
    readonly columns: GridColumn[];
    activeItem: any;
    readonly dockedTop: Dock[];
    readonly dockedBottom: Dock[];
    readonly docked: Dock[];
    readonly showTools: boolean;
    loadingStatus: boolean;
    private updateData(forced?);
    private fetchGridData(page?, sorts?, filter?, skipCache?);
    private getTHeadSize();
    ngOnDestroy(): void;
}
