import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { FVAbstractControl } from '../../shared/abstract-control.component';
import { ApiService, DGSNotificationService, Lang } from 'dgs-core';
import { LanguageService } from '../../../services/language.service';
import { ProcessService } from '../../../services/process.service';
import { Folder, DockItem, FVDoneResponse, Task } from '../../../models';
export declare class FVControlsMenuGridComponent extends FVAbstractControl implements AfterViewInit, OnDestroy {
    private process;
    private api;
    private ref;
    private language;
    private notification;
    isDblClick: boolean;
    reload: boolean;
    showModal: boolean;
    loading: boolean;
    taskData: any;
    lang: Lang;
    designerData: any;
    showDeleteModal: boolean;
    private folderClickEvent;
    protected _task: any;
    task: any;
    protected _data: any;
    readonly data: any;
    readonly node: string;
    onDone: EventEmitter<any>;
    private _title;
    private _node;
    private _lastModel;
    private _lastItem;
    private _toDelete;
    constructor(process: ProcessService, api: ApiService, ref: ChangeDetectorRef, language: LanguageService, notification: DGSNotificationService);
    ngAfterViewInit(): void;
    onTaskDone(response: FVDoneResponse): void;
    folderClicked(folder: Folder): void;
    modalClosed(): void;
    onMenuItemClicked(itemData: {
        actionName: string;
        dockItem: DockItem;
        activeItem: any;
    }): void;
    onDblClick(itemData: {
        keyfield: string;
        target: Task;
    }): void;
    updateTitle(title: string): void;
    handleDelete(itemData: any): void;
    confirmDelete(): Promise<void>;
    cancelDelete(): void;
    readonly title: any;
    readonly render: any;
    private readPseudoJson(pseudoJson);
    private createRequestBody(params, attrs, inputs, shouldResume);
    private fetchData();
    private handleProfile(itemData);
    private deleteSelected(itemData);
    private handleProcess(itemData);
    private handleResponse(response);
    ngOnDestroy(): void;
}
