import { AfterViewInit, ChangeDetectorRef, EventEmitter } from '@angular/core';
import { FVAbstractControl } from '../../../shared/abstract-control.component';
import { ProcessService } from '../../../../services/process.service';
import { ApiService, DGSNotificationService } from 'dgs-core';
import { ValidationService } from '../../../../services/validation.service';
import { GridConfig, DockItem, Dock, FVDoneResponse } from '../../../../models';
export declare class FVControlsEditableGridComponent extends FVAbstractControl implements AfterViewInit {
    private process;
    private api;
    private ref;
    private validation;
    private notification;
    lookupGrid: GridConfig;
    loading: boolean;
    showModal: boolean;
    addAction: DockItem;
    editAction: DockItem;
    deleteAction: DockItem;
    activeKeyfield: any;
    modalTitle: string;
    private _activeDialog;
    onDone: EventEmitter<FVDoneResponse>;
    constructor(process: ProcessService, api: ApiService, ref: ChangeDetectorRef, validation: ValidationService, notification: DGSNotificationService);
    ngAfterViewInit(): void;
    addRow(): void;
    editRow(row: object): void;
    deleteRow(): void;
    confirmDelete(): void;
    cancelDelete(): void;
    closeModal(): void;
    _onDone(doneResponse: FVDoneResponse): void;
    onGridHandler(handle: any): void;
    readonly dockedTop: Dock[];
    readonly dockedBottom: Dock[];
    readonly defaultDockedTop: any;
    readonly defaultDockedBottom: Dock;
    readonly docked: Dock[];
    readonly activeDialog: DockItem;
    readonly activeDialogName: string;
    private fetchGridData(clearData?);
}
