import { AfterViewInit, ChangeDetectorRef, ElementRef } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { FVAbstractControl } from '../../../shared/abstract-control.component';
import { ProcessService } from '../../../../services/process.service';
import { LanguageService } from '../../../../services/language.service';
import { ValidationService } from '../../../../services/validation.service';
import { ApiService } from 'dgs-core';
import { Control, GridConfig, Dock, Task } from '../../../../models';
export declare class FVControlsLookupComponent extends FVAbstractControl implements AfterViewInit {
    private process;
    private api;
    private ref;
    private validationService;
    private language;
    private el;
    lookupGrid: GridConfig;
    showModal: boolean;
    loading: boolean;
    multipleData: any;
    constructor(process: ProcessService, api: ApiService, ref: ChangeDetectorRef, validationService: ValidationService, language: LanguageService, el: ElementRef);
    ngAfterViewInit(): void;
    onAdvancedGridResponse({keyfield, target, row}: {
        keyfield: any;
        target: any;
        row: any;
    }): void;
    modalClosed(): void;
    removeValue(id: any): void;
    multiName(id: any): any;
    isTextTyped(container: any): any;
    openLookup(control: Control, multi?: boolean): void;
    readonly defaultDockedBottom: Dock;
    readonly multi: boolean;
    readonly formControl: AbstractControl;
    protected fetchMultiLookupData(task: Task, filters: any[]): void;
    /**
     * Protected because override property must have same access level as super
     * @param _value
     */
    protected setValue(_value?: string, forced?: boolean): Promise<void>;
    private loadBinding(bindingSet);
    private findNested(origin, ref);
    private updateValue(_value, updateProcess?);
    private getMultiOptions(value);
}
