import { EventEmitter, AfterViewInit, OnDestroy } from '@angular/core';
import { FVAbstractControl } from '../../shared/abstract-control.component';
import { ValidationService } from '../../../services/validation.service';
import { ApiResponse, DGSNotificationService } from 'dgs-core';
import { ProcessService } from '../../../services/process.service';
import { Dock, DockItem } from '../../../models';
export declare class FVNavigatorComponent extends FVAbstractControl implements AfterViewInit, OnDestroy {
    private process;
    private notification;
    private validation;
    loading: boolean;
    showModal: boolean;
    private __task;
    private _dock;
    private _items;
    private _dockType;
    dock: Dock[];
    private _isGrouped;
    isGrouped: boolean;
    private _isGrid;
    isGrid: boolean;
    private _gridItem;
    gridItem: any;
    type: string;
    onDone: EventEmitter<any>;
    onMenuItemClicked: EventEmitter<any>;
    onNavigation: EventEmitter<DockItem>;
    constructor(process: ProcessService, notification: DGSNotificationService, validation: ValidationService);
    ngAfterViewInit(): void;
    onClick(item: DockItem): void | Promise<ApiResponse> | Promise<void>;
    getClickListener(item: DockItem): {
        click?: string;
    };
    btnClass(btn: any, isMultiple?: boolean): string;
    readonly containerClass: string;
    readonly items: any;
    readonly dockType: string;
    private cancel();
    private save();
    private saveClose();
    private closeUndefined(isNone?);
    private doAction(action, userData?);
    private evalOnSave(task, script);
    ngOnDestroy(): void;
}
