import { EventEmitter } from '@angular/core';
import { Task } from '../models/task';
import { ApiService, ApiResponse, IDGSChangeSet, IDGSEnvironment } from 'dgs-core';
import { FVFormBuilderService } from './formBuilder.service';
export declare class ProcessService extends FVFormBuilderService {
    private api;
    private environment;
    private onError;
    private loadingEmitter;
    private updateEmitter;
    private onChangeEmitter;
    private _loading;
    constructor(api: ApiService, environment: IDGSEnvironment);
    start(path?: string[], payload?: Object, options?: Object): Promise<any>;
    next(processId: string, options?: Object): Promise<void | ApiResponse>;
    task(processId: string, taskId?: string, payload?: Object, options?: Object): Promise<void | ApiResponse>;
    errorFromResponse(response: ApiResponse): any;
    updateAllLoadings(status: boolean): void;
    readonly onAnyUpdate: EventEmitter<Task>;
    readonly onAnyLoading: EventEmitter<{
        status: boolean;
        processId?: string;
    }>;
    readonly onAnyError: EventEmitter<{
        processId: string;
        error: string;
    }>;
    readonly onChange: EventEmitter<IDGSChangeSet>;
    changes: IDGSChangeSet;
    activeTask: Task;
    user: any;
    private setLoading(processId, status);
    private catch(processId, error);
}
