import { ValidationErrors, FormControl } from '@angular/forms';
import { LanguageService } from '../services/language.service';
import { IDGSEnvironment, Debugger } from 'dgs-core';
export declare class FormErrors {
    control: FormControl;
    errors: ValidationErrors;
    constructor(control?: FormControl, errors?: ValidationErrors);
}
export declare class ValidationService extends Debugger {
    protected environment: IDGSEnvironment;
    private language;
    private updateValidation;
    private errorsText;
    constructor(environment: IDGSEnvironment, language: LanguageService);
    unkownError(warn?: boolean): Promise<string>;
    getError(errorName: string, controlText?: string, controlName?: string): Promise<string>;
    scanForControlErrors(errors: ValidationErrors): Promise<string[]>;
    onUpdate(cb: any): any;
    update(value?: any): void;
}
